IOS 5 and 3GS

Discussion in 'iOS 5 and earlier' started by RFarnham, Oct 31, 2011.

  1. RFarnham macrumors newbie

    Oct 31, 2011
    Hi Everyone,

    I need some assistance. I have a 3GS phone but when I manually try an update it to IOS 5 I receive a message stating that my phone will not support the upgrade. I went with the manual upgrade because when trying to upgrade through iTunes (10.5) I was informed I was already at the current level.

    I know it will not work with the 3G so what the heck over? :confused:
  2. Intell macrumors P6


    Jan 24, 2010
  3. haruhiko macrumors 601


    Sep 29, 2009
    Maybe you have downloaded the wrong firmware?
    Or maybe you have jailbroken your 3GS and enabled TinyUmbrella on your computer so that iTunes cannot talk to Apple's server and validate your install?

Share This Page